Bug 2602 - xorgcfg segfaults at startup on ppc64
xorgcfg segfaults at startup on ppc64
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/General
6.8.2
PowerPC Linux (All)
: high critical
Assigned To: Xorg Project Team
: want-backtrace
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-23 09:42 UTC by Taneli Vähäkangas
Modified: 2007-02-22 14:26 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Taneli Vähäkangas 2005-02-23 09:42:41 UTC
Compiled X.Org 6.8.2 with defaults on debian-ppc64 (powermac g5), everything
went fine. Started xorgcfg, bails out with the following:

(pasted from /var/log/Xorg.0.log)

X Window System Version 6.8.2
Release Date: 9 February 2005
X Protocol Version 11, Revision 0, Release 6.8.2
Build Operating System: Linux 2.6.10 ppc64 [ELF]
Current Operating System: Linux g5 2.6.10 #3 SMP Fri Feb 18 12:29:14 EET 2005 ppc64
Build Date: 23 February 2005
        Before reporting problems, check http://wiki.X.Org
        to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Feb 23 19:20:21 2005
(WW) Open APM failed (/dev/apm_bios) (No such file or directory)
(II) Module ABI versions:
        X.Org ANSI C Emulation: 0.2
        X.Org Video Driver: 0.7
        X.Org XInput driver : 0.4
        X.Org Server Extension : 0.2
        X.Org Font Renderer : 0.4
(II) Loader running on linux
(II) LoadModule: "bitmap"
(II) Loading /usr/X11R6/lib64/modules/fonts/libbitmap.a
 
   *** If unresolved symbols were reported above, they might not
   *** be the reason for the server aborting.
 
Fatal server error:
Caught signal 11.  Server aborting
 
 
Please consult the The X.Org Foundation support
         at http://wiki.X.Org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.
Comment 1 ajax at nwnk dot net 2005-07-03 14:45:19 UTC
starting with the 6.8.99.14 snapshot, on linux systems, the X server can print
its own backtrace when it crashes.  please confirm that these bugs are still
valid with 6.8.99.14 or later, and if they are please attach a the server log
from the crash.
Comment 2 Erik Andren 2006-04-18 00:24:31 UTC
Ping to the bug submitter
Comment 3 Timo Jyrinki 2007-02-22 14:26:34 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.